# extendedWaitUntil

Pause flow execution until an element is visible or disappears. Identify the element using a [selector](/creating-tests/test-step-selectors.md).

## Examples

Wait up to 30 seconds for "some text" to appear on the screen

```yaml
- extendedWaitUntil:
    visible:
        text: "some text"
    timeout: 30000
```

Wait up to 30 seconds for "some text" to disappear from the screen

```yaml
- extendedWaitUntil:
    notVisible:
        text: "some text"
    timeout: 30000
```

## Related Commands

[waitForAnimationToEnd](/creating-tests/commands/waitforanimationtoend.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.moropo.com/creating-tests/commands/extendedwaituntil.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
